<template>
    <table class="table">
        
            <thead>
                <tr>
                    <th>
                      Device      <font-awesome-icon icon="fa-solid fa-satellite-dish" beat bounce/>
                    </th>
                    <th>
                      RAW Data    <font-awesome-icon icon="fa-solid fa-network-wired"  fade />
                    </th>
                    <th>
                      Temp DTH11  <font-awesome-icon icon="fa-solid fa-temperature-three-quarters" beat  />
                    </th>
                    <th>
                      Humidity    <font-awesome-icon icon="fa-solid fa-droplet" flip/>
                    </th>
                    <th>
                      Pressure    <font-awesome-icon icon="fa-solid fa-gauge-high" spin />
                    </th>
                    <th>
                      Temp BPM280 <font-awesome-icon icon="fa-solid fa-temperature-full" beat />
                    </th>
                    <th>
                      Date        <font-awesome-icon icon="fa-solid fa-comment"  />
                    </th>
                    <th>
                      Seq N°      <font-awesome-icon icon="fa-solid fa-list-ol"  />
                    </th>
                    <th>
                      Operator    <font-awesome-icon icon="fa-solid fa-sim-card"  />
                    </th>
                    <th>
                      Country    <font-awesome-icon icon="fa-solid fa-earth-americas"  />
                    </th>
                    
                    
                </tr>
            </thead>
            <tbody>
                <tr v-for="message in message_list" class="alert " role="alert" >
                    <td> {{ message.device }} </td> 
                    <td> {{ message.data }} </td>
                    <td> {{ message.data[1] + message.data[3] + "°C" }} </td>
                    <td> {{ message.data[5] + message.data[7] + "%"}} </td>
                    <td> {{ message.data[9] + message.data[11] + message.data[13] + message.data[15] + "hPa" }} </td>
                    <td> {{ message.data[17] + message.data[19] + "," + message.data[21] + message.data[23] + "°C"}} </td>
                    <td> {{ message.date }} </td>
                    <td> {{ message.seqNumber }} </td>
                    <td> {{ message.operator }} </td>
                    <td> {{ message.country }} </td>
                </tr>
            </tbody>
        </table>
</template>

<script>
    import axios from 'axios';
    export default {
        name: "getMessgaes",
        data(){
            return{
                message_list: [{
                                "device":"12DF",
                                "data":"02040502010001040204",
                                "temp":"24",
                                "humidity":"52",
                                "pressure":"1014",
                                "temp2":"24",
                                "date":"2022-09-26T11:29:09.711519Z",
                                "seqNumber":"3",
                                "operator":"0G_Network",
                                "country":"AR"
                              }]
            } 

        },
        methods: {
            async getMessages()
            {   
                await this.axios.get('https://sigfox-api.mirkingo.duckdns.org/api/message')
                //await this.axios.get('http://sigfox-api:8000/api/message')
                .then( response => {
                    console.log("Conexion existosa");
                    console.log(this.message_list);
                    this.message_list = response.data;
                    console.log(JSON.stringify(response.data));
                })
                .catch(error => {
                    console.log(error);
                    console.log("NO SE PUDO CONECTAR")
                });

            }
        },
        mounted()
        {
            this.getMessages()
        }
    }
        
        
    
</script>

<style>
.gradient { background: linear-gradient(
    45deg,
    rgba(94, 189, 62, 1) 34%,
    rgba(255, 185, 0, 1),
    rgba(247, 130, 0, 1),
    rgba(226, 56, 56, 1),
    rgba(151, 57, 153, 1),
    rgba(0, 156, 223, 1) 91%
  );
}


thead{
  background-color: rgb(38, 145, 111);
}

table {
  border-collapse: collapse; }

th {
  text-align: center; 
  color: rgb(224, 224, 224);
  background: #0f6b57;

  
}
rect {
  background:transparent;

}

.table {
  width: 100%;
}

.table thead th {
  border: none;
  padding: 30px;
  font-size: 20px;
  font-weight: bold;
  background: rgba(121, 63, 174, 0.75);
  border-bottom: 1px solid  rgba(0, 50, 20 );
}

.table thead tr {
  box-shadow: 2px 2px 5px  rgba(0, 50, 20, 0.5);

}
    
.table tbody tr:last-child {
  border-bottom: 1px solid black ; 
}

.table tbody td {
  border: none;
  border-left: 1px solid #0f6b57;
  border-right: 1px solid #0f6b57;
  padding: 15px;
  font-size: 14px;
  background: rgba(0, 50, 20, 0.3);
  text-align: center;
}
</style>